#include "../include/Cache.h"

namespace environnement {
namespace cache {

  void Cache::reset (void)
  {
    for (uint32_t i=0; i<param->nb_cache_dedicated; i++)
      {
	icache_dedicated[i]->reset();
	dcache_dedicated[i]->reset();
      }
    
    cache_shared->reset();
  }

};
};
